Bug 3731 - Add more devices to libmtp
: Add more devices to libmtp
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-06 19:26 MSK by Andrey Bondrov
Modified: 2014-03-25 11:37 MSK (History)
5 users (show)

See Also:
RPM Package: libmtp
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2014-02-06 19:26:19 MSK
Backport devices data from upstream.
Comment 1 Andrey Bondrov 2014-02-06 19:27:26 MSK
Advisory: "Add more devices support. Fix bug with udev rules generation (upstream #878)"

https://abf.rosalinux.ru/build_lists/1612980
https://abf.rosalinux.ru/build_lists/1612981
Comment 2 Vladimir Potapov 2014-02-07 14:33:19 MSK
How to check the update?
Comment 3 Postnikov Dmitry 2014-02-07 14:42:51 MSK
(In reply to comment #2)
> How to check the update?

Detect mobile/tablet with Android 4.1 and higher, camera etc. that support MTP Protocol.
Comment 4 Andrey Bondrov 2014-02-07 14:45:57 MSK
(In reply to comment #2)
> How to check the update?

For KDE: install kio-mtp and connect Android 4.x smartphone to PC. And check if you can open it, copy/delete files etc.

Unfortunately, we cannot test all smartphones so let's try to test those few that we have.
Comment 5 Vladimir Potapov 2014-02-07 16:29:17 MSK
(In reply to comment #3)
> (In reply to comment #2)
> > How to check the update?
> 
> Detect mobile/tablet with Android 4.1 and higher, camera etc. that support
> MTP Protocol.
Do you cameras work now?
Comment 6 Postnikov Dmitry 2014-02-07 16:30:08 MSK
(In reply to comment #5)
> (In reply to comment #3)
> > (In reply to comment #2)
> > > How to check the update?
> > 
> > Detect mobile/tablet with Android 4.1 and higher, camera etc. that support
> > MTP Protocol.
> Do you cameras work now?

No, my cameras only PTP protocol.
Comment 7 Vladimir Potapov 2014-02-10 13:08:26 MSK
On my devices
1) Huawei Ascend D1XL
1.1 Before update  - don't work
1.2 After update - dolphin show only root (browser show error for folder view)
2) Asus memoPad
1.1 Before update - don't work 
1.2 After update - don't work

It is very small improvement...
Comment 8 Vladimir Potapov 2014-02-10 13:58:00 MSK
In messages:
usb 4-1.1.4: usbfs: process 7714 (kio_mtp) did not claim interface 0 before use
Comment 9 Vladimir Potapov 2014-02-10 14:49:53 MSK
if I run Dolphin from Konsole, after any file operation

Device 0 (VID=12d1 and PID=1051) is a Huawei MTP device (ID1).
libusb_detach_kernel_driver() failed, continuing anyway...: Нет такого файла или каталога
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
Error 2: PTP Layer error 02ff: LIBMTP_Send_File_From_File_Descriptor(): Could not send object.
Error 2: Error 02ff: PTP: I/O error
Android device detected, assigning default bug flags
Object::connect: No such signal CachedDevice::expired()
Comment 10 Vladimir Potapov 2014-02-12 14:12:20 MSK
libmtp9-1.1.6-2-rosa2012.1
************************ Advisory **************************
Add more devices support. Fix bug with udev rules generation (upstream #878)
************************************************************
QA Verified